[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#457353: gdome2-xslt: should not be a Debian-native package

[N.B. I am subscribed to -devel; please do not CC me if you are following up there. ]

On Sun, Dec 23, 2007 at 07:35:12PM +0100, Stefano Zacchiroli wrote:
There are other examples of packages in the archive which are no way
Debian specific, but which are native as gdome2-xslt is; a fresh example
I have in mind is ikiwiki.

If ikiwiki FTBFS on GCC 4.3, I will probably file a bug on it, too, when I fix the FTBFS. I don't think ikiwiki should be Debian-native either, but I happened to file the bug on gdome2-xslt because I was working on it for other reasons.

On the other hand, I would be fine with aptitude being Debian-native (although it is not now) because it is specific to Debian.

Of course if the global consensus will change so that native packages
are only those Debian-specific I would be more than happy to change
gdome2-xslt, but at the moment I feel there is no such a consensus.

It is my impression that this is the case already, but Policy is silent on the issue; I checked before I filed the bug. Perhaps if a consensus can be reached a guideline should be placed in Policy so that people are not further confused.

[0] I have heard rumors that dpkg can also be used on Solaris.
[1] Clearly, I am not hoping or wishing for this in any way, and in fact, hope the opposite, but I bring it up for the sake of argument.

brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187

Attachment: signature.asc
Description: Digital signature

Reply to: